<template>
   <div class="app">
          <vue-headful
            title="Lista Doctores Needoc"
            description="Litado completo de nuestros doctores"
        />
        <section class="sect-header">
            <h1>listado de doctores</h1>

            <searchdoctors v-on:dataEmit="seachDoctors" :doctores="searchdoctorsAPI"/>
            <ListDoctorsifAutenticatedCustom :doctores="doctorsAPI" />    
        </section>
   </div>
</template>

<script>
import axios from 'axios'
import searchdoctors from '@/components/SearchDoctorsCustom.vue'
import ListDoctorsifAutenticatedCustom from '@/components/ListDoctorsifAutenticatedCustom.vue';
import { getAuthToken } from '../../../backend/utils/utils'

export default {
    name: 'Doctors',
    components: {
        searchdoctors, // multibuscador de doctores
        ListDoctorsifAutenticatedCustom,

        //listdoctorsauthenticated // traemos listado con todos los datos de los doctores  
    },
// inicio DATA
    data(){
        return {
            searchdoctorsAPI: [],
                  doctorsAPI: [],

            

        }
    },
// FIN DATA
// inicio methods
    methods: {

        // FUNCIÓN PARA HACER MULTIBUSCADOR

        seachDoctors(name, specialtygroup, available){
            var self = this;
            
            if(name == undefined && specialtygroup == undefined && available == undefined){ 
                name = ''
                specialtygroup = ''
                available = ''
            }
            if(this.$route.params.specialtyGroup){
                specialtygroup = this.$route.params.specialtyGroup
            }
            // si usamos el specialtygroup del buscador eliminamos los valores de params
            if( specialtygroup ){
                this.$route.params.specialtyGroup = ''
                specialtygroup 
            }


            // LLAMADA DE AXIOS AL BACKEND            
            axios.post('http://localhost:3050/doctors' + `?specialtyGroup=${(specialtygroup )}` + `&name=${name}` + `&available=${available}`,{}, {
                headers:{
                    Authorization: getAuthToken()
                }
            })
            .then( function(response) {
                console.log('prueba:', response)
                self.doctorsAPI = response.data 
            } )
            .catch( function(error) {
                console.log(error)
            }) 
        },
        
        

    },
    
// FIN METHODS
// inicio created
    created() {
        this.seachDoctors();
    }
// FIN CREATED


}
</script>

<style scoped>

.sect-header {
    flex: 1;
    margin-bottom: 2rem;
    padding: 0 5rem;
    text-align: center;
}
</style>